import React from 'react'
import { LeaveButtonProps } from './models'
import zocksStyle from './LeaveButton.module.scss'
import { getClassName, getMergedClassNames } from '../../common'

export const LeaveButton: React.FC<LeaveButtonProps> = ({ leaveAction, styles }) => {
  const mergedStyles = getMergedClassNames(zocksStyle, styles)
  return (
    <button
      className={`${getClassName('room-controls__leave-button', mergedStyles)} ${getClassName(
        'room-controls__control-button',
        mergedStyles
      )}`}
      onClick={leaveAction}
      id='room-controls__leave-button'
    >
      <label htmlFor='room-controls__leave-button'>Leave</label>
    </button>
  )
}
